Title kind of says it all. Linux kernel 3.5 has support for newer CPUs and I'm hoping SP3 will use 3.5